Page MenuHomePhabricator

Add link to abuse filter log to page history's #contentSub
Closed, ResolvedPublic

Description

Currently when I see someting happening on IRC (eg. by wRealBot in #cvn-commons which reports abuse filter log) or via the on-wiki log, I have to copy the pagename and go to Special:AbuseLog and paste the title to get the log of that page (to see past events).

Special:Contributions has a link in #contentSub directly to filter log. Adding such a link for page history (next to "View logs for this page · ") would be very helpful.

Details

Reference
bz26934
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:23 PM
bzimport set Reference to bz26934.
Krinkle created this task.Jan 25 2011, 2:51 PM

I'm working on this bug. Can someone assign it to me?

Change 120809 had a related patch set uploaded by Tinaj1234:
Added hook for adding AbuseFilter log link

https://gerrit.wikimedia.org/r/120809

Change 120811 had a related patch set uploaded by Tinaj1234:
Added a AbuseFilter log link using a hook to Revision history page

https://gerrit.wikimedia.org/r/120811

Change 120811 had a related patch set uploaded (by Qgil):
HistoryAction: Implement HistoryPageAddLink hook for adding more links

https://gerrit.wikimedia.org/r/120811

Patch-For-Review

Tinaj1234 removed Tinaj1234 as the assignee of this task.Oct 1 2015, 11:18 AM
Tinaj1234 set Security to None.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptOct 1 2015, 11:18 AM
Amire80 moved this task from Backlog to Logging on the AbuseFilter board.May 8 2016, 9:03 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 8 2016, 9:03 AM
Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:33 PM
matej_suchanek updated the task description. (Show Details)

Change 120809 had a related patch set uploaded (by Matěj Suchánek; owner: Tinaj1234):
[mediawiki/extensions/AbuseFilter@master] Use HistoryPageAddLink hook to add a log link to history pages

https://gerrit.wikimedia.org/r/120809

Huji closed this task as Resolved.Jul 26 2018, 11:04 PM
Huji removed a project: Patch-For-Review.

Change 120811 merged by jenkins-bot:
[mediawiki/core@master] HistoryAction: Implement HistoryPageToolLinks hook for adding more links

https://gerrit.wikimedia.org/r/120811

Huji reopened this task as Open.Jul 27 2018, 12:29 AM
Huji added a project: Patch-For-Review.
Huji added a subscriber: Huji.

One of them did not merge.

I will take a look.

Change 448409 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] Add Title to Context in HistoryEntityActionTest

https://gerrit.wikimedia.org/r/448409

Change 448409 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add Title to Context in HistoryEntityActionTest

https://gerrit.wikimedia.org/r/448409

Change 120809 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Use HistoryPageToolLinks hook to add a log link to history pages

https://gerrit.wikimedia.org/r/120809

Huji closed this task as Resolved.Jul 27 2018, 1:47 PM
Huji removed a project: Patch-For-Review.